## Three-Dimensional Ordering at the Liquid-Solid Polar Interface of Nanowires

Mahdi Zamani, Giulio Imbalzano, Nicolas Tappy, Duncan T.L. Alexander, Sara Martí-Sánchez, Lea Ghisalberti, Quentin M. Ramasse, Martin Friedl, Gozde Tutuncuoglu, Luca Francaviglia, Sebastien Bienvenue, Cecile Hebert, Jordi Arbiol, Michele Ceriotti, Anna Fontcuberta i Morral

The nature of the liquid-solid interface determines the characteristics of a variety of physical phenomena, including catalysis, electrochemistry, lubrication and crystal growth. Most of the established models for crystal growth are based on macroscopic thermodynamics, neglecting the atomistic nature of the liquid-solid interface. Here, we employ experimental observations and molecular dynamics simulations to identify the three-dimensional nature of an atomic-scale ordering of liquid Ga in contact with solid GaAs in a nanowire growth configuration. We elucidate an interplay between the liquid ordering and the formation of a new bi-layer, which, contrary to the established theories, suggests that the preference for a certain polarity and polytypism is influenced by the atomic structure of the interface. The conclusions of this work open new avenues for understanding of crystal growth, as well as other processes and systems involving a liquid-solid interface. 

## Material for the simulations
In these folders are provided the files necessary to reproduce the data presented in the paper.
In particular, the folders are organized as follows:

 - **production-MD**: contains the set up for the simulations used in the paper
 - **post-processing**: contains the script used to post-process the data and obtain the density, both 1D (along z) and 3D
 - **visualization**: contains the post-processed data as well as the scripts necessary to visualize them on VMD

For more information: 

giulio.imbalzano@gmail.com

michele.ceriotti@epfl.ch
