#!/bin/bash

file=$1
drop=$2

# histograms
awk -v drop=$drop 'BEGIN{nas=100} /#/{ax=$3; ay=$4; az=$5; n++; rx=tx/nas; ry=ty/nas; rz=tz/nas; nas=tx=ty=tz=0; } /As/{ nas+=1; tx+=$2/ax; ty+=$3/ay; tz+=$4/az; } /(Ga)/{if (n>ndrop) print $2/ax-rx, $3/ay-ry, $4/az-rz}' $file > ga_scaled
awk -v drop=$drop 'BEGIN{nas=100} /#/{ax=$3; ay=$4; az=$5; n++; rx=tx/nas; ry=ty/nas; rz=tz/nas; nas=tx=ty=tz=0; } /As/{ nas+=1; tx+=$2/ax; ty+=$3/ay; tz+=$4/az; } /(As)/{if (n>ndrop) print $2/ax-rx, $3/ay-ry, $4/az-rz}' $file > as_scaled
cat ga_scaled | awk '{print $3}' | histogram -xi -0.5 -xf 0.5 -n 450 -t 0.002 -wperi > z_ga.dat
cat as_scaled | awk '{print $3}' | histogram -xi -0.5 -xf 0.5 -n 450 -t 0.002 -wperi > z_as.dat
cat ga_scaled as_scaled | awk '{print $3}' | histogram -xi -0.5 -xf 0.5 -n 450 -t 0.002 -wperi > z_gaas.dat
cat ga_scaled as_scaled | awk '{print $3}' | histogram -xi -0.5 -xf 0.5 -n 450 -t 0.002 -wperi > z_gaas_fine.dat
cat ga_scaled as_scaled | awk '{print $3}' | histogram -xi -0.5 -xf 0.5 -n 450 -t 0.02 -wperi > z_gaas_coarse.dat
cat ga_scaled as_scaled | awk '{print $1,$3}' | ndhistogram -d 2 -g -xi -0.5,-0.5, -xf 0.5,0.5 -n 150,450 -t 0.01,0.002 -wperi > xz_gaas.dat
cat ga_scaled as_scaled | awk '{print $2,$3}' | ndhistogram -d 2 -g -xi -0.5,-0.5, -xf 0.5,0.5 -n 150,450 -t 0.01,0.002 -wperi > yz_gaas.dat
cat ga_scaled | awk '{print $1,$3}' | ndhistogram -d 2 -g -xi -0.0833,-0.5, -xf 0.0833,0.5 -n 150,450 -t 0.005,0.002 -wperi > xzfold_ga.dat
cat ga_scaled | awk '{print $2,$3}' | ndhistogram -d 2 -g -xi -0.125,-0.5, -xf 0.125,0.5 -n 150,450 -t 0.005,0.002 -wperi > yzfold_ga.dat
cat as_scaled | awk '{print $1,$3}' | ndhistogram -d 2 -g -xi -0.0833,-0.5, -xf 0.0833,0.5 -n 150,450 -t 0.005,0.002 -wperi > xzfold_as.dat
cat as_scaled | awk '{print $2,$3}' | ndhistogram -d 2 -g -xi -0.125,-0.5, -xf 0.125,0.5 -n 150,450 -t 0.005,0.002 -wperi > yzfold_as.dat

#rm tmp_scaled

head -2 $file | awk '{if($1=="#"){print $3, 0, 0, 0, $4, 0, 0, 0, $5}}' > BOX

trajworks -dens -dat As -dbins 100,100,100 -dbinw 0.4 -dfold 3,2,1 -drange -0.5,0.5,-0.5,0.5,0.0,0.45 -dtraj -dalign As -o As_density_A -box BOX < $file
trajworks -dens -dat Ga -dbins 100,100,100 -dbinw 0.4 -dfold 3,2,1 -drange -0.5,0.5,-0.5,0.5,0.0,0.45 -dtraj -dalign As -o Ga_density_A -box BOX < $file
trajworks -dens -dat As -dbins 100,100,100 -dbinw 0.4 -dfold 3,2,1 -drange -0.5,0.5,-0.5,0.5,-0.4,0.05 -dtraj -dalign As -o As_density_B -box BOX< $file
trajworks -dens -dat Ga -dbins 100,100,100 -dbinw 0.4 -dfold 3,2,1 -drange -0.5,0.5,-0.5,0.5,-0.4,0.05 -dtraj -dalign As -o Ga_density_B -box BOX< $file
