In this folders there are the necessary inputs to run the simulations. In order to be able to run them it is necessary to have:

 - i-PI (https://github.com/cosmo-epfl/i-pi)
 - LAMMPS patched with n2p2 (https://lammps.sandia.gov/download.html and https://github.com/CompPhysVienna/n2p2)

To run the MTS simulations it is also necessary to have Quantum ESPRESSO (https://www.quantum-espresso.org/download)

The structure of the folders is as follows:

 - **ZB**: contains the inputs for the zincblende simulations (where bulk solid is in the zincblende form)
 - **WZ**: contains the inputs for the wurtzite simulations (where bulk solid is in the wurtzite form)
 - **MTS**: contains the necessary inputs to run the Multiple Time Stepping simulations, where Quantum ESPRESSO is also used in the outer loop
 - **potential**: contains the data to run the Neural Network Potential trained with n2p2 on selected configurations to reproduce the dynamics of Ga-GaAs interfaces 

The input files for the simulation assume that the simulation that is going to be run is at 300, but if one wishes to run it at a different temperature, it is enough to change the objective temperature of the thermostat.
